Page MenuHomePhabricator

Add the Newsletter extension to the Beta Cluster
Closed, ResolvedPublic

Description

Hi, it is not very clear how to request the addition of an extension to the Beta Cluster. Said that...
https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment#Deploy_to_beta_cluster_on_Labs

This is a request to add https://www.mediawiki.org/wiki/Extension:Newsletter aka MediaWiki-extensions-Newsletter

Currently the extension is functional, and we keep working polishing it. It is available in http://newsletter-test.wmflabs.org/ only, and we have requested T115095: Security review of Newsletter extension. A logical next step is to have this extension available for testing in the Beta Cluster.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd Newsletter extension to beta

Related Objects

StatusSubtypeAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
DeclinedNone
ResolvedAddshore
Resolvedori
ResolvedBawolff
ResolvedGlaisher
ResolvedTinaj1234
DeclinedNone
ResolvedGlaisher
Resolved01tonythomas
Resolved01tonythomas
Resolvednikitavbv
InvalidNone
ResolvedFilip
DuplicateNone
Resolved01tonythomas
ResolvedFilip
ResolvedMtDu
ResolvedMtDu
ResolvedGeorggi199
ResolvedFilip
ResolvedPppery
ResolvedFilip
ResolvedPppery
ResolvedPppery
ResolvedGlaisher
Resolved01tonythomas
OpenNone
OpenDaimona
OpenDaimona
Resolved01tonythomas
ResolvedQgil
ResolvedFilip
ResolvedD3r1ck01
ResolvedNone
Resolved01tonythomas
Resolved01tonythomas

Event Timeline

Qgil created this task.Feb 18 2016, 11:55 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 18 2016, 11:55 AM
greg added a subscriber: greg.Feb 18 2016, 3:01 PM

Getting a new extension on the Beta Cluster is part of the process of getting it into production (we don't just add random extensions people want to play with to BC ;) ). See https://www.mediawiki.org/wiki/Review_queue for the general workflow of getting things into production.

The security review is a blocker to this one.

Qgil added a comment.Feb 18 2016, 10:41 PM

OK, this was just me being outdated with test, test2, betacluster. Sorry for the confusion.

This is an extension aiming to be deployed in production indeed. We hope to start the security review in a few weeks (csteipp said just today).

Is there a chance to get this done during the Wikimedia-Hackathon-2016 ? I think most of the blockers are resolved for deployment, expect some agreement with the security review. I will add that as a blocker here though.

Change 281249 had a related patch set uploaded (by 01tonythomas):
Add Newsletter extension to beta

https://gerrit.wikimedia.org/r/281249

ori added a comment.Apr 3 2016, 6:50 AM

Is there a chance to get this done during the Wikimedia-Hackathon-2016 ? I think most of the blockers are resolved for deployment, expect some agreement with the security review. I will add that as a blocker here though.

Yeah, I think so. I'll be at the venue in a couple of hours and could help with that.

Is there a chance to get this done during the Wikimedia-Hackathon-2016 ? I think most of the blockers are resolved for deployment, expect some agreement with the security review. I will add that as a blocker here though.

Yeah, I think so. I'll be at the venue in a couple of hours and could help with that.

Great. I prepared a patch ( from my little experience with how we did back with the MediaWiki-extensions-BounceHandler extension ).

ori claimed this task.Apr 3 2016, 11:30 AM

I'm still waiting to hear back from the Security team regarding whether or not my security review is sufficient for deploying the extension to production, but I'm going to go ahead and assume my review is good enough for deploying to the beta cluster.

ori added a comment.Apr 3 2016, 11:39 AM

Done in https://gerrit.wikimedia.org/r/#/c/281288/ , waiting for scap to run on beta.

Luke081515 closed this task as Resolved.Apr 3 2016, 12:56 PM
Luke081515 added a subscriber: Luke081515.

Checked out at deploymentwiki: Works.

Qgil added a comment.EditedApr 3 2016, 7:47 PM

THIS IS IMPRESSIVE! Thank you very much to all the regular and spontaneous contributors that helped during this Hackathon weekend. I was optimistic about the progress we could achieve during these days, but I hadn't allowed myself to dream to have the extension deployed to the Beta cluster today!

Qgil awarded a token.Apr 3 2016, 7:47 PM

Change 281249 abandoned by Reedy:
Add Newsletter extension to beta

Reason:
Looks like it's already done

https://gerrit.wikimedia.org/r/281249

Woohoo! Thank you again everyone for this :) @ori , special thank you for the security review, we've been waiting for one forever!

Qgil updated the task description. (Show Details)Apr 19 2016, 9:34 AM